Package org.apache.synapse.transport.http.access

# Class AccessLogger

java.lang.Object
org.apache.synapse.transport.http.access.AccessLogger

public class AccessLogger extends Object
Class that logs the Http Accesses to the access log files. Code segment borrowed from Apache Tomcat's org.apache.catalina.valves.AccessLogValve with thanks.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_LOG_ID`
  `protected File`
  `currentLogFile`
  The current log file we are writing to.
  `protected SimpleDateFormat`
  `fileDateFormatter`
  A date formatter to format a Date into a date in the given file format
  `boolean`
  `isLoggingEnabled`
  Enable logging.
  `static final String`
  `NHTTP_LOG_DIRECTORY`
  `protected PrintWriter`
  `writer`
  The PrintWriter to which we are currently logging, if any.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLogger(org.apache.commons.logging.Log log)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `handleThrowable(Throwable t)`
  Checks whether the supplied Throwable is one that needs to be re-thrown and swallows all others.
  `protected void`
  `initOpen()`
  `void`
  `log(String message)`
  Log the specified message to the log file, switching files if the date has changed since the previous log call.
  `protected void`
  `open()`
  Open the new log file for the date specified by `dateStamp`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NHTTP_LOG_DIRECTORY

    public static final String NHTTP_LOG_DIRECTORY
    See Also:
      - Constant Field Values

  - ### ACCESS_LOG_ID

    public static final String ACCESS_LOG_ID
    See Also:
      - Constant Field Values

  - ### fileDateFormatter

    protected SimpleDateFormat fileDateFormatter
    A date formatter to format a Date into a date in the given file format

  - ### writer

    protected PrintWriter writer
    The PrintWriter to which we are currently logging, if any.

  - ### currentLogFile

    protected File currentLogFile
    The current log file we are writing to. Helpful when checkExists is true.

  - ### isLoggingEnabled

    public boolean isLoggingEnabled
    Enable logging.

- ## Constructor Details

  - ### AccessLogger

    public AccessLogger(org.apache.commons.logging.Log log)

- ## Method Details

  - ### log

    public void log(String message)
    Log the specified message to the log file, switching files if the date has changed since the previous log call.
    Parameters:
      `message` - Message to be logged

  - ### initOpen

    protected void initOpen()

  - ### open

    protected void open()
    Open the new log file for the date specified by `dateStamp`.

  - ### handleThrowable

    public static void handleThrowable(Throwable t)
    Checks whether the supplied Throwable is one that needs to be re-thrown and swallows all others.
    Parameters:
      `t` - the Throwable to check